{
  lib,
  ...
}:
let
  inherit (lib.marleyos) enabled;
in
{
  marleyos = {
    isDesktop = true;

    programs = {
      amfora = enabled;
      bat = enabled;
      btop = enabled;
      cheat = enabled;
      curl = enabled;
      eza = enabled;
      figlet = enabled;
      fish = enabled;
      fzf = enabled;
      gh = enabled;
      git = enabled;
      glow = enabled;
      gpg = enabled;
      hyfetch = enabled;
      just = enabled;
      lazygit = enabled;
      less = enabled;
      man = enabled;
      neo = enabled;
      neovim = enabled;
      nh = enabled;
      rbw = enabled;
      ripgrep = enabled;
      ssh = enabled;
      starship = enabled;
      tmux = enabled;
      wezterm = enabled;
      wget = enabled;
      zoxide = enabled;
    };
  };

  home.stateVersion = "24.05";
}
